Don’t use jquery-latest.js

Yesterday jQuery Blog announced that not to use jquery-latest.js in production site ,

below is the excerpt of the blog post

Earlier this week the jQuery CDN had an issue that made the jquery-latest.js and jquery-latest.min.js files unavailable for a few hours in some geographical areas. (This wasn’t a problem with the CDN itself, but with the repository that provides files for the CDN.) While we always hope to have 100% up-time, this particular outage emphasized the number of production sites following the antipattern of using this file. So let’s be clear: Don’t use jquery-latest.js on a production site.

Complete Post here

Using jquery-latest.js from a CDN has a danger of any bug or regression introduced in latest version , so it’s always safe to validate the version of jquery before using in production